Summary: C++ utility library primarily aimed at audio/musical applications.
Name: raul
Version: 0.5.1
Release: 1%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://wiki.drobilla.net/Raul
Source: http://download.drobilla.net/raul-%{version}.tar.gz
Patch0: raul-0.5.1-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Arnaud Gomes-do-Vale

BuildRequires: glibmm24-devel lash-devel boost-devel
BuildRequires: jack-audio-connection-kit-devel >= 0.107.0
BuildRequires: doxygen

%description
Raul (Realtime Audio Utility Library) is a C++ utility library primarily
aimed at audio/musical applications.

It is used by Ingen, Patchage, and Machina.

%package devel
Summary: Header files for raul
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
Header files for raul.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-jack --enable-lash --enable-documentation
%{__make}
%{__make} docs

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/libraul.so.*

%files devel
%defattr(-,root,root)
%doc doc/html
%{_includedir}/raul
%{_libdir}/libraul.la
%{_libdir}/libraul.so
%{_libdir}/pkgconfig/raul.pc

%changelog
* Wed Oct 14 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- add patch to build with gcc44 on fc11

* Wed Oct  8 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr> 0.5.1-1
- new upstream release

* Wed Jul  9 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr> 0.5.0-1
- new upstream release

* Sun Feb 17 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- build documentation

* Wed Jan 23 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- fix dynamic libraries

* Thu Jan 10 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- first build on CentOS 5

